# /usr/bin/env python
"""
Main file for the tests. This file imports all the unit test functions from all modules except for the notebooks and for the HPC functions
"""

# pylint: disable=W0611

import unittest

from binarycpython.tests.test_c_bindings import (
    test_run_system,
    test_return_store_memaddr,
    test_ensemble_functions
)
from binarycpython.tests.test_custom_logging import (
    test_autogen_C_logging_code,
    test_binary_c_log_code,
    test_binary_c_write_log_code,
    test_from_binary_c_config,
    test_return_compilation_dict,
    test_create_and_load_logging_function
)
# from binarycpython.tests.test_distributions import *
from binarycpython.tests.test_functions import (
    test_verbose_print,
    test_temp_dir,
    test_remove_file,
    test_create_hdf5,
    test_output_lines,
    test_example_parse_output,
    test_get_defaults,
    test_get_arg_keys,
    test_create_arg_string,
    test_get_help,
    test_get_help_all,
    test_get_help_super,
    test_make_build_text,
    test_write_binary_c_parameter_descriptions_to_rst_file,

)
# from binarycpython.tests.test_grid import *
# from binarycpython.tests.test_hpc_functions import *
# from binarycpython.tests.test_plot_functions import *
# from binarycpython.tests.test_run_system_wrapper import *
# from binarycpython.tests.test_spacing_functions import *
# from binarycpython.tests.test_useful_funcs import *
# from binarycpython.tests.test_grid_options_defaults import *
# from binarycpython.tests.test_stellar_types import *

if __name__ == "__main__":
    unittest.main()
